![BepInEx logo](https://avatars2.githubusercontent.com/u/39589027?s=256)

# BepInExPack for Subnautica

This is [BepInEx 5.4.21](https://github.com/BepInEx/BepInEx) pack for Subnautica.

BepInEx is a general purpose framework for Unity modding.
BepInEx includes tools and libraries to

* load custom code (hereafter *plugins*) into the game on launch;
* patch in-game methods, classes and even entire assemblies without touching original game files;
* configure plugins and log game to desired outputs like console or file;
* manage plugin dependencies.

BepInEx is currently [one of the most popular modding tools for Unity on GitHub](https://github.com/topics/modding?o=desc&s=stars).

## This pack's contents

This pack is preconfigured and usable for Subnautica modding.  
In particular, the changes from base BepInEx releases are:

* Added preconfigured `BepInEx.cfg` to set the corrected entry point for this game.

## Installation

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `BepInExPack` folder into `<Steam Location>\steamapps\common\Subnautica`.
3. Check that you have installed it correctly. BepInEx, winhttp.dll, doorstop_config.ini should be directly in the Subnautica folder.
4. Follow either Windows or Linux game running instructions below:

### Configuration (Windows)

No need to configure. Simply run the game.

## Useful links

* [BepInEx: writing basic plugin walkthrough](https://docs.bepinex.dev/articles/dev_guide/plugin_tutorial/index.html)
* [BepInEx: useful plugins for modding](https://docs.bepinex.dev/articles/dev_guide/dev_tools.html)
* [BepInEx: patching game methods at runtime](https://docs.bepinex.dev/articles/dev_guide/runtime_patching.html)

## Issues, questions, etc.

At this moment, you can use the following channels to ask for help

* [Subnautica Modding Discord](https://discord.gg/UpWuWwq)
* [BepInEx Discord](https://discord.gg/MpFEDAg) -- **Only technical support for BepInEx. No support for plugins.**

